import { createStore } from "vuex";
export default createStore({
  state: {
    collapse: false,
    userData: {},
    DoingTotal: 0, // 待办事项总数
    OADoingTotal: 0, //OA待办事项总数
    paymentNum: 0, // 付款单未处理数量
    DoingOutTotal: 0, // 体外待办事项总数
    exhibitionNum: 0, // 画展包日期无底价数量
    artistappNum: {
      artworkSupplyUnfinishedArtistTotal: 0, // 补充画作未完成人数
      artistSupplyUnfinishedArtistTotal: 0, // 画家补充未完成人数
      artistIndexUnfinishedArtistTotal: 0, // 画家指数未完成人数
      videoUnfinishedArtistTotal: 0, // 视频补充未完成人数
    },
    agmJumpIDs: [], //考勤组跳转IDs
    exPayApproveNum: 0, // 画展包付款单审核待我审核数量
  },
  mutations: {
    // 获取待办事项总数
    GET_DOING_TOTAL(state, DoingTotal) {
      state.DoingTotal = DoingTotal;
    },
    // 获取OA待办事项总数
    GET_OADOING_TOTAL(state, OADoingTotal) {
      state.OADoingTotal = OADoingTotal;
    },

    // 获取付款单未处理数量
    GET_PAYMENT_NUM(state, paymentNum) {
      state.paymentNum = paymentNum;
    },
    // 获取体外待办事项总数
    GET_DOING_OUT_TOTAL(state, DoingOutTotal) {
      state.DoingOutTotal = DoingOutTotal;
    },
    // 获取画展包日期无底价数量
    GET_EXHIBITION_NUM(state, exhibitionNum) {
      state.exhibitionNum = exhibitionNum;
    },
    // 获取画展包日期无底价数量
    GET_ARTISTAPP_NUM(state, resData) {
      Object.assign(state, resData);
    },
    // 考勤组跳转员工档案-员工ids
    GET_EMPLOYEE_IDS(state, agmJumpIDs) {
      state.agmJumpIDs = agmJumpIDs;
    },
    // 画展包付款单审核待我审核数量
    GET_EX_PAY_APPROVE_NUM(state, num) {
      state.exPayApproveNum = num;
    },
  },
  actions: {},

});
